ChangeSet 1.1417, 2003/09/04 15:27:33-07:00, david-b@pacbell.net

[PATCH] USB: usb "gadgetfs" (2/2)

This adds the kconfig/kbuild hooks needed to build
the driver.


 drivers/usb/gadget/Kconfig  |   24 ++++++++++++++++++++++++
 drivers/usb/gadget/Makefile |    2 ++
 2 files changed, 26 insertions(+)


diff -Nru a/drivers/usb/gadget/Kconfig b/drivers/usb/gadget/Kconfig
--- a/drivers/usb/gadget/Kconfig	Fri Sep  5 17:59:20 2003
+++ b/drivers/usb/gadget/Kconfig	Fri Sep  5 17:59:20 2003
@@ -147,6 +147,30 @@
 	depends on USB_ETH && USB_SA1100
 	default y
 
+config USB_GADGETFS
+	tristate "Gadget Filesystem (EXPERIMENTAL)"
+	depends on USB_GADGET && (USB_DUMMY_HCD || USB_NET2280 || USB_PXA2XX) && EXPERIMENTAL
+	help
+	  This driver provides a filesystem based API that lets user mode
+	  programs implement a single-configuration USB device, including
+	  endpoint I/O and control requests that don't relate to enumeration.
+	  All endpoints, transfer speeds, and transfer types supported by
+	  the hardware are available, through read() and write() calls.
+
+	  Say "y" to link the driver statically, or "m" to build a
+	  dynamically linked module called "gadgetfs".
+
+config USB_GADGETFS_NET2280
+	bool
+	# for now, treat the "dummy" hcd as if it were a net2280
+	depends on USB_GADGETFS && (USB_NET2280 || USB_DUMMY_HCD)
+	default y
+
+config USB_GADGETFS_PXA2XX
+	bool
+	depends on USB_GADGETFS && USB_PXA2XX
+	default y
+
 endchoice
 
 # endmenuconfig
diff -Nru a/drivers/usb/gadget/Makefile b/drivers/usb/gadget/Makefile
--- a/drivers/usb/gadget/Makefile	Fri Sep  5 17:59:20 2003
+++ b/drivers/usb/gadget/Makefile	Fri Sep  5 17:59:20 2003
@@ -8,7 +8,9 @@
 #
 g_zero-objs			:= zero.o usbstring.o
 g_ether-objs			:= ether.o usbstring.o
+gadgetfs-objs			:= inode.o usbstring.o
  
 obj-$(CONFIG_USB_ZERO)		+= g_zero.o
 obj-$(CONFIG_USB_ETH)		+= g_ether.o
+obj-$(CONFIG_USB_GADGETFS)	+= gadgetfs.o
 
